%global momorel 2
%global md5sum_src0 be39a3fb40075eb72fededc51b02e4bc

Name:           perl-Catalyst-Plugin-Session-State-URI
Version:        0.07
Release: %{momorel}m%{?dist}
Summary:        Saves session IDs by rewriting URIs delivered to the client, and extracting the session ID from requested URIs
License:        "Unknown"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Session-State-URI/
%NoSource 0     http://www.cpan.org/authors/id/N/NU/NUFFIN/Catalyst-Plugin-Session-State-URI-%{version}.tar.gz %{md5sum_src0}
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl-Catalyst-Plugin-Session >= 0.06
BuildRequires:  perl-HTML-TokeParser-Simple
BuildRequires:  perl-MIME-Types
BuildRequires:  perl-Test-MockObject >= 1.01
BuildRequires:  perl-URI
Requires:       perl-Catalyst-Plugin-Session >= 0.06
Requires:       perl-HTML-TokeParser-Simple
Requires:       perl-MIME-Types
Requires:       perl-Test-MockObject >= 1.01
Requires:       perl-URI
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
In order for Catalyst::Plugin::Session to work the session ID needs to
be stored on the client, and the session data needs to be stored on
the server.

%prep
%setup -q -n Catalyst-Plugin-Session-State-URI-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*/*/*/*/*
%{_mandir}/man3/*

%changelog
* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.07-2m)
- use vendor

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.07-1m)
- update to 0.07

* Sat Oct 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.06-2m)
- delete dupclicate directory

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.06-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
